;(function($) {	// noflict for $ jquery
	$.fn.colorbox_cnbbrcom = function(){}
	$.fn.colorbox_cnbbrcom.tip = function(tipcontent){
		$("#datagridexecuteresultbox").html('<div style="margin-bottom: 10px; width: 100%; height: 25px; line-height: 25px; font-size: 14px; color: white; background: #33aacc; text-align: left;"><h3>【操作提示】<h3></div>');
		$("#datagridexecuteresultbox").append('<div style="width: 100%; line-height: 21px; text-align: left;">'+ tipcontent +'</div>');
		$("#datagridexecuteresultbox").colorbox({opacity:0.3, innerWidth:"380px", innerHeight:"88px", inline:true, href:"#datagridexecuteresultbox"});
		$("#datagridexecuteresultbox").click();
	}
	$.fn.colorbox_cnbbrcom.alert = function(alertcontent){
		$("#datagridexecuteresultbox").html('<div style="margin-bottom: 10px; width: 100%; height: 25px; line-height: 25px; font-size: 14px; color: white; background: #ff5533; text-align: left;"><h3>【出錯了】<h3></div>');
		$("#datagridexecuteresultbox").append('<div style="width: 100%; line-height: 21px; text-align: left;">'+ alertcontent +'</div>');
		$("#datagridexecuteresultbox").colorbox({opacity:0.3, innerWidth:"380px", innerHeight:"88px", inline:true, href:"#datagridexecuteresultbox"});
		$("#datagridexecuteresultbox").click();
	}
})(jQuery);